Page MenuHomePhabricator

Meeting: Friday, September 5, 2014
Closed, ResolvedPublic

Details

Reference
fl604

Event Timeline

flimport raised the priority of this task from to High.Sep 12 2014, 1:48 AM
flimport set Reference to fl604.

Palexis wrote on 2014-09-02 05:04:48 (UTC)

This is a test of the subtask and Blocking Tasks features.

I created a subtask in T594 for the Friday user group meeting.

This subtask is ticketed as T604 and designated as Blocks T594, but shows up on the project board as a separate task apart from T594 in the Backlog column. This doesn't seem to be a natural or intuitive way to organize or track the subtask.

Any ideas or suggestions?

qgil wrote on 2014-09-02 07:07:18 (UTC)

What would you expect instead? Please let me now so I can understand better the problem you are finding. The current behavior seems natural and intuitive to me... :) A subtask is still a task, just like in Bugzilla blocking bug reports are still bugs on its own.

Palexis wrote on 2014-09-02 11:52:06 (UTC)

Yes, a subtask is still a task.

I was expecting a hierarchy display, subtasks under the main task. Right now we have quite a number of tasks that should have subtasks, and I thinking of ways to keep the project board neat and easy to understand as more information is added.

hexmode wrote on 2014-09-02 13:07:35 (UTC)

I think the difference here between bugzilla dependencies and subtasks is primarily one of visualisation. Phabricator does a much better job with the workboard than Bugzilla does of helping an individual's workflow. Perhaps this is an issue that we need to file upstream -- it would be good if you could display tasks that have subtasks as a stack of cards that you could click on to expand for that particular parent task.

qgil wrote on 2014-09-05 21:34:31 (UTC)

Meeting notes: http://etherpad.wikimedia.org/p/Wiki-Co-Op

importing issue status

flimport closed this task as Resolved.Sep 12 2014, 1:48 AM
Palexis moved this task from Backlog to Resolved on the Wiki-Release-Team board.Sep 25 2014, 11:39 PM
flimport added a subscriber: Mglaser.